<?php

/**
 * @file
 * Providing extra integration with views.
 */


/**
 * Implements hook_views_data()
 */
function breadcrumb2_views_data_alter(&$data) { 
  $data['breadcrumb']['link_breadcrumb'] = array(
    'field' => array(
      'title' => t('Link'),
      'help' => t('Provide a link to the breadcrumb.'),
      'handler' => 'breadcrumb2_handler_link_field',
    ),
  );
  $data['breadcrumb']['edit_breadcrumb'] = array(
    'field' => array(
      'title' => t('Edit Link'),
      'help' => t('Provide a link to the edit form for the breadcrumb.'),
      'handler' => 'breadcrumb2_handler_edit_link_field',
    ),
  );
  $data['breadcrumb']['delete_breadcrumb'] = array(
    'field' => array(
      'title' => t('Delete Link'),
      'help' => t('Provide a link to delete the breadcrumb.'),
      'handler' => 'breadcrumb2_handler_delete_link_field',
    ),
  );
  // This content of this field are decided based on the menu structure that
  // follows breadcrumb/%breadcrumb2/op
  $data['breadcrumb']['operations'] = array(
    'field' => array(
      'title' => t('Operations links'),
      'help' => t('Display all operations available for this breadcrumb.'),
      'handler' => 'breadcrumb2_handler_breadcrumb_operations_field',
    ),
  );
}

/**
 * Implements hook_views_default_views().
 */
function breadcrumb2_views_default_views() {
  $views = array();
  
 $view = new view;
  $view->name = 'breadcrumbs';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'breadcrumb';
  $view->human_name = 'breadcrumbs';
  $view->core = 7;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '30';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all'] = 0;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'bid' => 'bid',
    'path' => 'path',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'bid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'path' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['empty_table'] = 0;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['empty'] = FALSE;
  $handler->display->display_options['header']['area']['format'] = 'filtered_html';
  $handler->display->display_options['header']['area']['tokenize'] = 0;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = FALSE;
  $handler->display->display_options['empty']['area']['content'] = 'No breadcrumbs available.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['empty']['area']['tokenize'] = 0;
  /* Field: Breadcrumb: path */
  $handler->display->display_options['fields']['path']['id'] = 'path';
  $handler->display->display_options['fields']['path']['table'] = 'breadcrumb';
  $handler->display->display_options['fields']['path']['field'] = 'path';
  $handler->display->display_options['fields']['path']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['path']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['path']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['path']['alter']['external'] = 0;
  $handler->display->display_options['fields']['path']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['path']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['path']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['path']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['path']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['path']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['path']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['path']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['path']['alter']['html'] = 0;
  $handler->display->display_options['fields']['path']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['path']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['path']['hide_empty'] = 0;
  $handler->display->display_options['fields']['path']['empty_zero'] = 0;
  $handler->display->display_options['fields']['path']['hide_alter_empty'] = 1;
  /* Field: Breadcrumb: Breadcrumb Link */
  $handler->display->display_options['fields']['link']['id'] = 'link';
  $handler->display->display_options['fields']['link']['table'] = 'field_data_link';
  $handler->display->display_options['fields']['link']['field'] = 'link';
  $handler->display->display_options['fields']['link']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['link']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['link']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['link']['alter']['external'] = 0;
  $handler->display->display_options['fields']['link']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['link']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['link']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['link']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['link']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['link']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['link']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['link']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['link']['alter']['html'] = 0;
  $handler->display->display_options['fields']['link']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['link']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['link']['hide_empty'] = 0;
  $handler->display->display_options['fields']['link']['empty_zero'] = 0;
  $handler->display->display_options['fields']['link']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['link']['click_sort_column'] = 'url';
  $handler->display->display_options['fields']['link']['group_rows'] = 1;
  $handler->display->display_options['fields']['link']['delta_offset'] = '0';
  $handler->display->display_options['fields']['link']['delta_reversed'] = 0;
  $handler->display->display_options['fields']['link']['delta_first_last'] = 0;
  $handler->display->display_options['fields']['link']['separator'] = ' > ';
  $handler->display->display_options['fields']['link']['field_api_classes'] = 0;
  /* Field: Breadcrumb: Edit Link */
  $handler->display->display_options['fields']['edit_breadcrumb']['id'] = 'edit_breadcrumb';
  $handler->display->display_options['fields']['edit_breadcrumb']['table'] = 'breadcrumb';
  $handler->display->display_options['fields']['edit_breadcrumb']['field'] = 'edit_breadcrumb';
  $handler->display->display_options['fields']['edit_breadcrumb']['label'] = '';
  $handler->display->display_options['fields']['edit_breadcrumb']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['edit_breadcrumb']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['edit_breadcrumb']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['edit_breadcrumb']['alter']['external'] = 0;
  $handler->display->display_options['fields']['edit_breadcrumb']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['edit_breadcrumb']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['edit_breadcrumb']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['edit_breadcrumb']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['edit_breadcrumb']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['edit_breadcrumb']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['edit_breadcrumb']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['edit_breadcrumb']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['edit_breadcrumb']['alter']['html'] = 0;
  $handler->display->display_options['fields']['edit_breadcrumb']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_breadcrumb']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['edit_breadcrumb']['hide_empty'] = 0;
  $handler->display->display_options['fields']['edit_breadcrumb']['empty_zero'] = 0;
  $handler->display->display_options['fields']['edit_breadcrumb']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['edit_breadcrumb']['text'] = 'edit';
  /* Field: Breadcrumb: Delete Link */
  $handler->display->display_options['fields']['delete_breadcrumb']['id'] = 'delete_breadcrumb';
  $handler->display->display_options['fields']['delete_breadcrumb']['table'] = 'breadcrumb';
  $handler->display->display_options['fields']['delete_breadcrumb']['field'] = 'delete_breadcrumb';
  $handler->display->display_options['fields']['delete_breadcrumb']['label'] = '';
  $handler->display->display_options['fields']['delete_breadcrumb']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['delete_breadcrumb']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['delete_breadcrumb']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['delete_breadcrumb']['alter']['external'] = 0;
  $handler->display->display_options['fields']['delete_breadcrumb']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['delete_breadcrumb']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['delete_breadcrumb']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['delete_breadcrumb']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['delete_breadcrumb']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['delete_breadcrumb']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['delete_breadcrumb']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['delete_breadcrumb']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['delete_breadcrumb']['alter']['html'] = 0;
  $handler->display->display_options['fields']['delete_breadcrumb']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['delete_breadcrumb']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['delete_breadcrumb']['hide_empty'] = 0;
  $handler->display->display_options['fields']['delete_breadcrumb']['empty_zero'] = 0;
  $handler->display->display_options['fields']['delete_breadcrumb']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['delete_breadcrumb']['text'] = 'delete';
  /* Sort criterion: Breadcrumb: Breadcrumb ID */
  $handler->display->display_options['sorts']['bid']['id'] = 'bid';
  $handler->display->display_options['sorts']['bid']['table'] = 'breadcrumb';
  $handler->display->display_options['sorts']['bid']['field'] = 'bid';
  $handler->display->display_options['sorts']['bid']['order'] = 'DESC';
  /* Filter criterion: Breadcrumb: path */
  $handler->display->display_options['filters']['path']['id'] = 'path';
  $handler->display->display_options['filters']['path']['table'] = 'breadcrumb';
  $handler->display->display_options['filters']['path']['field'] = 'path';
  $handler->display->display_options['filters']['path']['operator'] = 'contains';
  $handler->display->display_options['filters']['path']['exposed'] = TRUE;
  $handler->display->display_options['filters']['path']['expose']['operator_id'] = 'path_op';
  $handler->display->display_options['filters']['path']['expose']['label'] = 'path';
  $handler->display->display_options['filters']['path']['expose']['operator'] = 'path_op';
  $handler->display->display_options['filters']['path']['expose']['identifier'] = 'path';
  $handler->display->display_options['filters']['path']['expose']['required'] = 0;
  $handler->display->display_options['filters']['path']['expose']['multiple'] = FALSE;

  $views[$view->name] = $view;  
 // $views[] = $view;  
  return $views;

}